import request from '@/utils/request'

// 获取订单列表
export function getList(data) {
  return request({
    url: '/order/getorderlist',
    method: 'get',
    params: data
  })
}

// 获取商品列表
export function getGoodsList(data) {
  return request({
    url: '/goods/getgoodsinfo',
    method: 'get',
    params: data
  })
}

// 代下单
export function addOrder(data) {
  return request({
    url: '/order/uploadorder',
    method: 'post',
    data
  })
}

// 删除订单
export function deleteOrder(data) {
  return request({
    url: '/order/destoryorder',
    method: 'post',
    data
  })
}

// 导出
export function exportOrder(data) {
  return request({
    url: '/order/exportorderlist',
    method: 'get',
    params: data
  })
}

// 下载
export function downOrder(data) {
  return request({
    url: '/orders/down_load',
    method: 'post',
    data
  })
}

// 审核通过
export function orderPass(data) {
  return request({
    url: '/orders/order_pass',
    method: 'get',
    params: data
  })
}

// 审核驳回
export function orderreJect(data) {
  return request({
    url: '/orders/order_reject',
    method: 'get',
    params: data
  })
}

// 发货
export function orderSpend(data) {
  return request({
    url: '/orders/send_order',
    method: 'post',
    data
  })
}

// 高级搜索
export function highSearch(params) {
  return request({
    url: '/orders/get_conditions_order_list',
    method: 'get',
    params
  })
}

// 批量审核
export function machAuditOrder(data) {
  return request({
    url: '/orders/many_audit_order',
    method: 'post',
    data
  })
}

// 获取体验店
export function getStore() {
  return request({
    url: '/orders/get_storename',
    method: 'get'
  })
}

// 添加体验店订单
export function addStoreOrder(params) {
  return request({
    url: '/orders/add_store',
    method: 'get',
    params
  })
}
